Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.query
Class AbstractResponse

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.search.lucene.query.AbstractResponse

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

Direct Known Subclasses:
  Results, Terms

public abstract class AbstractResponse
extends AbstractSdxObject

Created by IntelliJ IDEA. User: rpandey Date: 25 mars 2004 Time: 11:32:13 To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected int` | `_count`
`protected int` | `_hitsPerPage` The number of results to show per page.
`protected int` | `_nbPages` The maximum number of pages
`protected SearchLocations` | `_searchLocations` The indices where the results come from.
`static int` | `HITS_PER_PAGE` The default number of documents to show per page.
`static int` | `HPP_ALL_HITS`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`AbstractResponse()`

Method Summary
`int` | `count()`
`abstract int` | `countPages()`
`int` | `getHitsPerPage()`
`int` | `getNbPages()`
`SearchLocations` | `getSearchLocations()`
`protected boolean` | `initToSax()` Init the LinkedHashMap _xmlizable_objects with the objects in order to describ them in XML
`protected void` | `initVolatileObjectsToSax()` Init the LinkedHashMap _xmlizable_volatile_objects with the objects in order to describ them in XML Some objects need to be refresh each time a toSAX is called
`void` | `setAllHits()`
`void` | `setHitsPerPage(int hpp)`
`protected void` | `setNbPages(int nb)`
`void` | `setSearchLocations(SearchLocations searchLocations)`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getClassNameSuffix, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HPP_ALL_HITS

    public static final int HPP_ALL_HITS

See Also:
  Constant Field Values

### HITS_PER_PAGE

    public static final int HITS_PER_PAGE

  The default number of documents to show per page.

  See Also:
    Constant Field Values

### _nbPages

    protected int _nbPages

  The maximum number of pages

### _hitsPerPage

    protected int _hitsPerPage

  The number of results to show per page.

### _searchLocations

    protected SearchLocations _searchLocations

  The indices where the results come from.

### _count

    protected int _count

Constructor Detail

### AbstractResponse

    public AbstractResponse()

Method Detail

### getHitsPerPage

    public int getHitsPerPage()

### getNbPages

    public int getNbPages()

### getSearchLocations

    public SearchLocations getSearchLocations()

### count

    public int count()

### setSearchLocations

    public void setSearchLocations(SearchLocations searchLocations)

### countPages

    public abstract int countPages()

### setHitsPerPage

    public void setHitsPerPage(int hpp)

### setNbPages

    protected void setNbPages(int nb)

### setAllHits

    public void setAllHits()

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxObject`
  Init the LinkedHashMap _xmlizable_objects with the objects in order to describ them in XML

  Specified by:
    `initToSax` in class `AbstractSdxObject`

### initVolatileObjectsToSax

    protected void initVolatileObjectsToSax()

  Init the LinkedHashMap _xmlizable_volatile_objects with the objects in order to describ them in XML Some objects need to be refresh each time a toSAX is called

  Specified by:
    `initVolatileObjectsToSax` in class `AbstractSdxObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.